%define module injector

Name:           python-injector
Version:        0.20.1
Release:        %mkrel 1
Summary:        Python dependency injection framework, inspired by Guice
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://github.com/alecthomas/injector
Source:         https://github.com/alecthomas/injector/archive/%{module}-%{version}.tar.xz

%description
Dependency injection as a formal pattern is less useful in Python than
in other languages, primarily due to its support for keyword
arguments, the ease with which objects can be mocked, and its dynamic
nature.

That said, a framework for assisting in this process can remove a lot
of boiler-plate from larger applications. That's where Injector can
help. It automatically and transitively provides keyword arguments
with their values. As an added benefit, Injector encourages nicely
compartmentalised code through the use of Module s.

While being inspired by Guice, it does not slavishly replicate its
API. Providing a Pythonic API trumps faithfulness.

%package -n python3-%{module}
Summary:        Python 3 compatible bindings to the NVIDIA Management Library.
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Dependency injection as a formal pattern is less useful in Python than
in other languages, primarily due to its support for keyword
arguments, the ease with which objects can be mocked, and its dynamic
nature.

That said, a framework for assisting in this process can remove a lot
of boiler-plate from larger applications. That's where Injector can
help. It automatically and transitively provides keyword arguments
with their values. As an added benefit, Injector encourages nicely
compartmentalised code through the use of Module s.

While being inspired by Guice, it does not slavishly replicate its
API. Providing a Pythonic API trumps faithfulness.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%{python3_sitelib}/*

%changelog
* Fri Aug 12 2022 TerryN <terryn94 at gmail.com> 0.20.1-1pclos2022
- update and rebuild for python 3.10

* Sun Oct 13 2019 tex - 0.16.1-2pclos2019
- rebuild against updates

* Fri May 17 2019 pckg <pckg at email.cz> 0.16.1-1pclos2019
- Initial package
